# pandas.DataFrame.sort_values

`DataFrame.``sort_values`(by, axis=0, ascending=True, inplace=False, kind='quicksort', na_position='last')

  Sort by the values along either axis

  New in version 0.17.0.

  Parameters:

  by : string name or list of names which refer to the axis items

  axis : index, columns to direct sorting

  ascending : bool or list of bool

  > Sort ascending vs. descending. Specify list for multiple sort orders. If this is a list of bools, must match the length of the by

  inplace : bool

  > if True, perform operation in-place

  kind : {quicksort, mergesort, heapsort}

  > Choice of sorting algorithm. See also ndarray.np.sort for more information. mergesort is the only stable algorithm. For DataFrames, this option is only applied when sorting on a single column or label.

  na_position : {‘first’, ‘last’}

  > first puts NaNs at the beginning, last puts NaNs at the end

  Returns: | sorted_obj : DataFrame